Eclipse GEF 3.2

## org.eclipse.gef
Class EditPartListener.Stub

    java.lang.Object
      org.eclipse.gef.EditPartListener.Stub

All Implemented Interfaces:
  EditPartListener

Enclosing class:
  EditPartListener

public static class EditPartListener.Stub
extends Object
implements EditPartListener

Listeners interested in just a subset of Events can extend this stub implementation. Also, extending the Stub will reduce the impact of new API on this interface.

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.EditPartListener
`EditPartListener.Stub`

Constructor Summary
`EditPartListener.Stub()`

Method Summary
`void` `childAdded(EditPart child, int index)` Called after a child EditPart has been added to its parent.
`void` `partActivated(EditPart editpart)` Called when the editpart has been activated.
`void` `partDeactivated(EditPart editpart)` Called when the editpart has been deactivated.
`void` `removingChild(EditPart child, int index)` Called before a child EditPart is removed from its parent.
`void` `selectedStateChanged(EditPart part)` Called when the selected state of an EditPart has changed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditPartListener.Stub

    public EditPartListener.Stub()

Method Detail

### childAdded

    public void childAdded(EditPart child,
                           int index)

  Description copied from interface: `EditPartListener`
  Called after a child EditPart has been added to its parent.

  Specified by:
    `childAdded` in interface `EditPartListener`
  Parameters:
    `child` - the Child
    `index` - the index at which the child was added
  See Also:
    `EditPartListener.childAdded(EditPart, int)`

### partActivated

    public void partActivated(EditPart editpart)

  Description copied from interface: `EditPartListener`
  Called when the editpart has been activated.

  Specified by:
    `partActivated` in interface `EditPartListener`
  Parameters:
    `editpart` - the EditPart
  See Also:
    `EditPartListener.partActivated(EditPart)`

### partDeactivated

    public void partDeactivated(EditPart editpart)

  Description copied from interface: `EditPartListener`
  Called when the editpart has been deactivated.

  Specified by:
    `partDeactivated` in interface `EditPartListener`
  Parameters:
    `editpart` - the EditPart
  See Also:
    `EditPartListener.partDeactivated(EditPart)`

### removingChild

    public void removingChild(EditPart child,
                              int index)

  Description copied from interface: `EditPartListener`
  Called before a child EditPart is removed from its parent.

  Specified by:
    `removingChild` in interface `EditPartListener`
  Parameters:
    `child` - the Child being removed
    `index` - the child's current location
  See Also:
    `EditPartListener.removingChild(EditPart, int)`

### selectedStateChanged

    public void selectedStateChanged(EditPart part)

  Description copied from interface: `EditPartListener`
  Called when the selected state of an EditPart has changed. Focus changes also result in this method being called.

  Specified by:
    `selectedStateChanged` in interface `EditPartListener`
  Parameters:
    `part` - the part whose selection was changed
  See Also:
    `EditPartListener.selectedStateChanged(EditPart)`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.